(*
 Oukseh Lee

 Copyright(c) 2000-2004 KAIST/SNU Research On Program Analysis System
 (National Creative Research Initiative Center 1998-2003)
 http://ropas.snu.ac.kr/n

 All rights reserved. This file is distributed under the terms of
 an Open Source License.
*)

open Format

let version = "0.92b"
let interface_suffix = ref ".ni"
let updatedate = "2004/04/19"
let programmer = "H. Eo, J. Kim, and O. Lee"


type lang = Eng | Kor | Tough
let lang = ref Kor


let print_header () =
  match !lang with
    Eng -> printf "nML compiler %s (built on %s)@." version updatedate 
  | Kor -> printf "nML 컴파일러 %s (%s)@." version updatedate
  | Tough -> printf "nML 껌빨러?%s (%s)@." version updatedate

let print_opt_header () =
  match !lang with 
    Eng -> printf "nML native-code compiler %s (built on %s)@." version updatedate 
  | Kor -> printf "nML 기계어 컴파일러 %s (%s)@." version updatedate
  | Tough -> printf "nML 빠른 코드 껌빨러 %s (%s)@." version updatedate

let print_full_header () =
  print_header();
  match !lang with
  | Kor | Tough ->
      printf "  @[Copyright(c) 2000-2004 KAIST/SNU 프로그램 분석 시스템 연구단@\n";
	  printf "(과기부 창의적 연구진흥사업 1998-2003)@\n";
	  printf "http://ropas.snu.ac.kr/n@\n";
	  printf "Objective Caml 3.04 코드를 기반으로 작성@."
  | Eng ->
      printf "  @[Copyright(c) 2000-2002 Research On Program Analysis System, SNU@\n";
      printf "National Creative Research Initiative Center 1998-2003@\n";
      printf "http://ropas.snu.ac.kr/n@\n";
      printf "Based on Objective Caml 3.04 Code@."



(*
let print_header () =
  printf "nML 컴파일러 %s (제작일: %s)@." version updatedate

let print_full_header () =
  print_header();
  printf "  Copyright(c) 2000-2001 KAIST 프로그램 분석 시스템 연구단\n";
  printf "  (과기부 창의적 연구진흥사업의 지원)\n";
  printf "  Objectivel Caml 3.01 코드를 기반으로 작성@.";
*)

  

